Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface PortletCategoryView

All Superinterfaces:
  CategoryView, Serializable, View

public interface PortletCategoryView
extends CategoryView

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. A Instance or a Definition however can always be obtained from the view. The persistence APIs provides course grain and fine grain getters but only fine grain setters. If you are interested in an object and all its children then retrieve the View, if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

View class for a portlet category.

See Also:
  `View`

Method Summary
`PortletCategoryDefinitionId` | `getId()` Returns the `PortletCategoryDefinitionId` associated with this view.
`PortletCategoryDefinitionId` | `getParentId()` Returns the `PortletCategoryDefinitionId` associated with this category's parent.
`PortletCategoryView[]` | `getPortletCategoryViews()` Returns an array of `PortletCategoryView`s contained in this `PortletCategoryView`.
`PortletView[]` | `getPortletViews()` Returns an array of `PortletView`s contained in this `PortletCategoryView`.
`String` | `getWebAppName()` Return the name of the webapp that this portlet category is associated with.

Methods inherited from interface com.bea.netuix.application.view.CategoryView
`getLocalizationResourceView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getId

    public PortletCategoryDefinitionId getId()

  Returns the `PortletCategoryDefinitionId` associated with this view.

  Returns:
    `PortletCategoryDefinitionId`

### getParentId

    public PortletCategoryDefinitionId getParentId()

  Returns the `PortletCategoryDefinitionId` associated with this category's parent.

  Returns:

### getPortletCategoryViews

    public PortletCategoryView[] getPortletCategoryViews()

  Returns an array of `PortletCategoryView`s contained in this `PortletCategoryView`. Returns an empty array if there are no portlet categories.

  Returns:
    an array of `PortletCategoryView`s

### getPortletViews

    public PortletView[] getPortletViews()

  Returns an array of `PortletView`s contained in this `PortletCategoryView`. Returns an empty array if there are no portlets.

  Returns:
    an array of `PortletView`s

### getWebAppName

    public String getWebAppName()

  Return the name of the webapp that this portlet category is associated with. All resources in the portal framework database are scoped to the webapp.

  Returns:
    a non null webapp name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved